#ifndef XMATERIALPIXELSHADERPROGRAM_H
#define XMATERIALPIXELSHADERPROGRAM_H

#include "xasset.h"
#include "xd3dpixelshader.h"
#include "xgfxpixelshaderloaddef.h"

#include <QVector>
#include <QtTypes>

class XMaterialPixelShaderProgram : public XAsset
{
public:
    explicit XMaterialPixelShaderProgram();
    ~XMaterialPixelShaderProgram();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    XD3DPixelShader *mPixelShader;
    XGfxPixelShaderLoadDef mLoadDef;
};

#endif // XMATERIALPIXELSHADERPROGRAM_H
